ATH3KFW(8)

NAME
ath3kfw - load firmware for Atheros AR3011/AR3012 Bluetooth USB devices

SYNOPSIS
ath3kfw [-DI] -d device_name -f firmware_path
ath3kfw -h

DESCRIPTION
The ath3kfw utility downloads the specified firmware file to the specified ugen(4) device.

This utility will only work with Atheros AR3011 and AR3012 chip based Bluetooth USB devices. The identification is currently based on USB vendor ID/product ID pair. The vendor ID should be 0x0cf3 (USB_VENDOR_ATHEROS2) and the product ID should be one of the supported devices.

Firmware files are available in the linux-firmware RPM.

The ath3kfw utility will query the device to determine which firmware image and board configuration to load in at runtime.

The options are as follows:

-D  Enable verbose debugging.

-d device_name
    Specify ugen(4) device name.

-f firmware_path
    Specify the directory containing the firmware files to search and upload.

-h  Display usage message and exit.

-I  Enable informational debugging.

EXIT STATUS

SEE ALSO
libusb(3), ugen(4), devd(8)

AUTHORS
The original utility was written by Maksim Yevmenkin <m_evmenkin@yahoo.com>. This was written based on Linux ath3k by Adrian Chadd <adrian@freebsd.org>.

BUGS
Most likely. Please report if found.